Transfer (The Data Transfer Scheduler DB interface 2.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.scheduler.db.model

## Class Transfer

- java.lang.Object
- - org.gcube.datatransfer.scheduler.db.model.Transfer

- All Implemented Interfaces:
    Serializable

      public class Transfer
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `agentHostname`
    `protected String` | `agentId`
    `long` | `bytes_have_been_transferred`
    `protected String` | `destinationFolder`
    `protected int` | `num_updates`
    `protected String[]` | `outcomes`
    `protected boolean` | `overwrite`
    `protected String` | `pattern`
    `boolean` | `readyObjects`
    `protected String` | `scope`
    `protected String` | `sourceId`
    `long` | `startTime`
    `protected String` | `status`
    `protected String` | `storageId`
    `protected String` | `submitter`
    `long` | `total_size`
    `long` | `totalTime`
    `String[]` | `transferError`
    `String` | `transferIdOfAgent`
    `protected String` | `transferType`
    `protected String[]` | `treeOutcomes`
    `protected String` | `typeOfScheduleId`
    `protected String` | `typeOfStorage`
    `protected boolean` | `unzipFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transfer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAgentHostname()`
    `String` | `getAgentId()`
    `long` | `getBytes_have_been_transferred()`
    `String` | `getDestinationFolder()`
    `int` | `getNum_updates()`
    `String[]` | `getObjectFailedIDs()`
    `String[]` | `getObjectTrasferredIDs()`
    `String[]` | `getOutcomes()`
    `String` | `getPattern()`
    `String` | `getScope()`
    `String` | `getSourceId()`
    `long` | `getStartTime()`
    `String` | `getStatus()`
    `String` | `getStorageId()`
    `String` | `getSubmittedDate()`
    `String` | `getSubmitter()`
    `long` | `getTotal_size()`
    `long` | `getTotalTime()`
    `String[]` | `getTransferError()`
    `String` | `getTransferId()`
    `String` | `getTransferIdOfAgent()`
    `String` | `getTransferType()`
    `String[]` | `getTreeOutcomes()`
    `String` | `getTypeOfScheduleId()`
    `String` | `getTypeOfStorage()`
    `boolean` | `isOverwrite()`
    `boolean` | `isReadyObjects()`
    `boolean` | `isUnzipFile()`
    `void` | `resetProgress()`
    `void` | `setAgentHostname(String agentHostname)`
    `void` | `setAgentId(String agentId)`
    `void` | `setBytes_have_been_transferred(long bytes_have_been_transferred)`
    `void` | `setDestinationFolder(String destinationFolder)`
    `void` | `setNum_updates(int num_updates)`
    `void` | `setObjectFailedIDs(String[] objectFailedIDs)`
    `void` | `setObjectTrasferredIDs(String[] objectTrasferredIDs)`
    `void` | `setOutcomes(String[] outcomes)`
    `void` | `setOverwrite(boolean overwrite)`
    `void` | `setPattern(String pattern)`
    `void` | `setReadyObjects(boolean readyObjects)`
    `void` | `setScope(String scope)`
    `void` | `setSourceId(String sourceId)`
    `void` | `setStartTime(long startTime)`
    `void` | `setStatus(String status)`
    `void` | `setStorageId(String storageId)`
    `void` | `setSubmittedDate(String submittedDate)`
    `void` | `setSubmitter(String submitter)`
    `void` | `setTotal_size(long total_size)`
    `void` | `setTotalTime(long totalTime)`
    `void` | `setTransferError(String[] transferError)`
    `void` | `setTransferId(String transferId)`
    `void` | `setTransferIdOfAgent(String transferIdOfAgent)`
    `void` | `setTransferType(String transferType)`
    `void` | `setTreeOutcomes(String[] treeOutcomes)`
    `void` | `setTypeOfScheduleId(String typeOfScheduleId)`
    `void` | `setTypeOfStorage(String typeOfStorage)`
    `void` | `setUnzipFile(boolean unzipFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeOfScheduleId

          protected String typeOfScheduleId

    - #### submitter

          protected String submitter

    - #### status

          protected String status

    - #### scope

          protected String scope

    - #### agentId

          protected String agentId

    - #### agentHostname

          protected String agentHostname

    - #### transferType

          protected String transferType

    - #### typeOfStorage

          protected String typeOfStorage

    - #### destinationFolder

          protected String destinationFolder

    - #### overwrite

          protected boolean overwrite

    - #### unzipFile

          protected boolean unzipFile

    - #### sourceId

          protected String sourceId

    - #### storageId

          protected String storageId

    - #### pattern

          protected String pattern

    - #### treeOutcomes

          protected String[] treeOutcomes

    - #### outcomes

          protected String[] outcomes

    - #### num_updates

          protected int num_updates

    - #### transferError

          public String[] transferError

    - #### transferIdOfAgent

          public String transferIdOfAgent

    - #### startTime

          public long startTime

    - #### totalTime

          public long totalTime

    - #### total_size

          public long total_size

    - #### bytes_have_been_transferred

          public long bytes_have_been_transferred

    - #### readyObjects

          public boolean readyObjects

  - ### Constructor Detail

    - #### Transfer

          public Transfer()

  - ### Method Detail

    - #### getNum_updates

          public int getNum_updates()

    - #### setNum_updates

          public void setNum_updates(int num_updates)

    - #### getOutcomes

          public String[] getOutcomes()

    - #### setOutcomes

          public void setOutcomes(String[] outcomes)

    - #### getTransferIdOfAgent

          public String getTransferIdOfAgent()

    - #### setTransferIdOfAgent

          public void setTransferIdOfAgent(String transferIdOfAgent)

    - #### getTypeOfScheduleId

          public String getTypeOfScheduleId()

    - #### setTypeOfScheduleId

          public void setTypeOfScheduleId(String typeOfScheduleId)

    - #### getSourceId

          public String getSourceId()

    - #### setSourceId

          public void setSourceId(String sourceId)

    - #### getStorageId

          public String getStorageId()

    - #### setStorageId

          public void setStorageId(String storageId)

    - #### getTransferId

          public String getTransferId()

    - #### getAgentId

          public String getAgentId()

    - #### setAgentId

          public void setAgentId(String agentId)

    - #### setTransferId

          public void setTransferId(String transferId)

    - #### getSubmitter

          public String getSubmitter()

    - #### setSubmitter

          public void setSubmitter(String submitter)

    - #### getObjectTrasferredIDs

          public String[] getObjectTrasferredIDs()

    - #### setObjectTrasferredIDs

          public void setObjectTrasferredIDs(String[] objectTrasferredIDs)

    - #### getObjectFailedIDs

          public String[] getObjectFailedIDs()

    - #### setObjectFailedIDs

          public void setObjectFailedIDs(String[] objectFailedIDs)

    - #### getTransferError

          public String[] getTransferError()

    - #### setTransferError

          public void setTransferError(String[] transferError)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getTransferType

          public String getTransferType()

    - #### setTransferType

          public void setTransferType(String transferType)

    - #### getDestinationFolder

          public String getDestinationFolder()

    - #### setDestinationFolder

          public void setDestinationFolder(String destinationFolder)

    - #### isOverwrite

          public boolean isOverwrite()

    - #### setOverwrite

          public void setOverwrite(boolean overwrite)

    - #### isUnzipFile

          public boolean isUnzipFile()

    - #### setUnzipFile

          public void setUnzipFile(boolean unzipFile)

    - #### getSubmittedDate

          public String getSubmittedDate()

    - #### setSubmittedDate

          public void setSubmittedDate(String submittedDate)

    - #### isReadyObjects

          public boolean isReadyObjects()

    - #### setReadyObjects

          public void setReadyObjects(boolean readyObjects)

    - #### getTypeOfStorage

          public String getTypeOfStorage()

    - #### setTypeOfStorage

          public void setTypeOfStorage(String typeOfStorage)

    - #### getStartTime

          public long getStartTime()

    - #### getTotalTime

          public long getTotalTime()

    - #### setStartTime

          public void setStartTime(long startTime)

    - #### setTotalTime

          public void setTotalTime(long totalTime)

    - #### getTotal_size

          public long getTotal_size()

    - #### getBytes_have_been_transferred

          public long getBytes_have_been_transferred()

    - #### setTotal_size

          public void setTotal_size(long total_size)

    - #### setBytes_have_been_transferred

          public void setBytes_have_been_transferred(long bytes_have_been_transferred)

    - #### getAgentHostname

          public String getAgentHostname()

    - #### setAgentHostname

          public void setAgentHostname(String agentHostname)

    - #### getPattern

          public String getPattern()

    - #### setPattern

          public void setPattern(String pattern)

    - #### getTreeOutcomes

          public String[] getTreeOutcomes()

    - #### setTreeOutcomes

          public void setTreeOutcomes(String[] treeOutcomes)

    - #### resetProgress

          public void resetProgress()

Copyright © 2018. All Rights Reserved.